# $Revision: 1.19 $, $Date: 2011/03/05 19:56:45 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Compress
%define	pnam	Raw-Zlib
Summary:	Compress::Raw::Zlib - Low-Level Interface to zlib compression library
Summary(pl.UTF-8):	Compress::Raw::Zlib - niskopoziomowy interfejs do biblioteki kompresji zlib
Name:		perl-Compress-Raw-Zlib
Version:	2.033
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/PMQS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e9ec0f336997311648a0b611a1f1f6eb
URL:		http://search.cpan.org/dist/Compress-Raw-Zlib/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	zlib-devel >= 1.2.3
Requires:	perl-dirs >= 1.0-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Compress::Raw::Zlib module provides a Perl interface to the zlib
compression library.

%description -l pl.UTF-8
Moduł Compress::Raw::Zlib udostępnia perlowy interfejs do biblioteki
kompresji zlib.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

cat > config.in <<EOF
BUILD_ZLIB = False
INCLUDE = /usr/include
LIB = %{_libdir}
OLD_ZLIB = False
GZIP_OS_CODE = AUTO_DETECT
EOF

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/Raw/Zlib.pm
%dir %{perl_vendorarch}/auto/Compress/Raw/Zlib
%{perl_vendorarch}/auto/Compress/Raw/Zlib/Zlib.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/Raw/Zlib/Zlib.so
%{perl_vendorarch}/auto/Compress/Raw/Zlib/autosplit.ix
%{_mandir}/man3/Compress::Raw::Zlib.3pm*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-Raw-Zlib.spec,v $
Revision 1.19  2011/03/05 19:56:45  qboosh
- updated to 2.033

Revision 1.18  2010/11/12 23:16:24  pawelz
- release 4

Revision 1.17  2010/06/06 08:32:22  arekm
- release 2

Revision 1.16  2010/04/09 06:58:05  amateja
- updated to 2.026

Revision 1.15  2010/03/15 07:53:22  amateja
- changed Source0 URL

Revision 1.14  2010/03/15 07:43:40  amateja
- updated to 2.024

Revision 1.13  2009/11/16 05:45:55  amateja
- updated to 2.023

Revision 1.12  2009/09/09 11:42:22  amateja
- updated to 2.0.21

Revision 1.11  2009/08/18 21:59:17  adamg
- CVE notes for 2.020

Revision 1.10  2009/06/16 13:34:48  amateja
- updated to 2.020 [ fixes CVE-2009-1391, CVE-2009-1884 ]

Revision 1.9  2008/12/14 12:29:45  agaran
- up to 2.015, rel 1

Revision 1.8  2008/03/02 17:31:12  radek
- release 3

Revision 1.7  2008-02-09 18:23:41  wolvverine
- rel.2

Revision 1.6  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.5  2007-12-19 16:36:00  zbyniu
- up to 2.008

Revision 1.4  2007-05-27 11:00:01  agaran
- up to 2.004, rel 1, builds here

Revision 1.3  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.1  2006/12/22 17:55:29  qboosh
- new
